Filter ledgers, balances, transactions, and identities using Blnk’s Filter API with direct database queries.
curl -X POST "http://YOUR_BLNK_INSTANCE_URL/transactions/filter" \
-H "X-Blnk-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filters": [
{ "field": "status", "operator": "eq", "value": "APPLIED" },
{ "field": "currency", "operator": "in", "values": ["USD", "EUR"] }
],
"logical_operator": "and",
"sort_by": "created_at",
"sort_order": "desc",
"include_count": true,
"limit": 20,
"offset": 0
}'
{
"data": [
{
"transaction_id": "txn_abc123",
"amount": 15000,
"currency": "USD",
"status": "APPLIED",
"source": "bln_source123",
"destination": "bln_dest456",
"created_at": "2024-01-15T10:30:00Z"
}
],
"total_count": 150
}
X-blnk-key: <api-key>.
Replace <api-key> with your secret API key. Ensure the key is kept secure and not exposed in public repositories or client-side code.
See also: Secure your Blnk server
ledgers - Filter ledgers by name or metadatabalances - Filter balance records across all ledgerstransactions - Filter transaction recordsidentities - Filter customer identity recordsfield, operator, and optionally value or values. Learn more: Search via DB docsExamples:[{"field": "status", "operator": "eq", "value": "APPLIED"}] - Exact match[{"field": "currency", "operator": "in", "values": ["USD", "EUR"]}] - Multiple valuesand or or. Default: and.created_at. Learn more: Performance Tuningasc or desc. Default: desc.false.include_count is true.curl -X POST "http://YOUR_BLNK_INSTANCE_URL/transactions/filter" \
-H "X-Blnk-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filters": [
{ "field": "status", "operator": "eq", "value": "APPLIED" },
{ "field": "currency", "operator": "in", "values": ["USD", "EUR"] }
],
"logical_operator": "and",
"sort_by": "created_at",
"sort_order": "desc",
"include_count": true,
"limit": 20,
"offset": 0
}'
{
"data": [
{
"transaction_id": "txn_abc123",
"amount": 15000,
"currency": "USD",
"status": "APPLIED",
"source": "bln_source123",
"destination": "bln_dest456",
"created_at": "2024-01-15T10:30:00Z"
}
],
"total_count": 150
}
Was this page helpful?
curl -X POST "http://YOUR_BLNK_INSTANCE_URL/transactions/filter" \
-H "X-Blnk-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filters": [
{ "field": "status", "operator": "eq", "value": "APPLIED" },
{ "field": "currency", "operator": "in", "values": ["USD", "EUR"] }
],
"logical_operator": "and",
"sort_by": "created_at",
"sort_order": "desc",
"include_count": true,
"limit": 20,
"offset": 0
}'
{
"data": [
{
"transaction_id": "txn_abc123",
"amount": 15000,
"currency": "USD",
"status": "APPLIED",
"source": "bln_source123",
"destination": "bln_dest456",
"created_at": "2024-01-15T10:30:00Z"
}
],
"total_count": 150
}